#!/bin/bash

mv linkat-repo* /etc/apt/sources.list.d/
	if [ $? -gt 0 ]; then
        	zenity --error --text "Cancel·lat per l'usuari.\n\nEl programa es tancarà"
                exit 1
        fi

if [ -f /usr/share/linkat/linkat-repos/pubkey-linkat16.gpg ] ; then
        sudo apt-key add /usr/share/linkat/linkat-repos/pubkey-linkat16.gpg
        echo "OK: Clau afegida" 
else
        echo "ERROR: No s'ha trobat la clau pública de la Linkat" 
        exit 1
fi

apt-get update | zenity --progress --pulsate --auto-close --text "Actualitzant els repositoris"
        if [ $? -gt 0 ]; then
        	zenity --error --text "Cancel·lat per l'usuari.\n\nEl programa es tancarà"
                exit 1
        fi
